Opened 13 years ago

Closed 13 years ago

Last modified 13 years ago

#2210 closed task (fixed)

get rid of the external iframe file for RichText widget

Reported by: liucougar Owned by: liucougar
Priority: high Milestone: 0.9
Component: Editor Version: 0.4.1
Keywords: Cc:
Blocked By: Blocking:

Description (last modified by liucougar)

This patch also correct the post filter logic. In addition, an xml serializer is implemented to generate same html across browsers (and overcome missing of closing tags in IE, such as for <li>).

Attachments (1)

2210.patch (12.9 KB) - added by liucougar 13 years ago.

Download all attachments as: .zip

Change History (7)

Changed 13 years ago by liucougar

Attachment: 2210.patch added

comment:1 Changed 13 years ago by liucougar

style sheets for the editing are now added to the iframe html when loading, instead of adding <link> element after the loading of the iframe is complete

comment:2 Changed 13 years ago by liucougar

Version: 0.4.10.5

comment:3 Changed 13 years ago by liucougar

Description: modified (diff)

comment:4 Changed 13 years ago by liucougar

Milestone: 0.5
Version: 0.50.4.1

comment:5 Changed 13 years ago by liucougar

Resolution: fixed
Status: newclosed

(In [7001]) fixes #2210 and #2145 added a parameter to Editor2::restoreSelection

comment:6 Changed 13 years ago by alex

Resolution: fixed

(In [7008]) Merged revisions 6993-7007 via svnmerge from svn+ssh://alex@svn.dojotoolkit.org/var/src/dojo/trunk

........

r6994 | peller | 2007-01-04 21:52:39 -0800 (Thu, 04 Jan 2007) | 1 line

fix syntax, commas, whitespace in generated JSON files

........

r6995 | peller | 2007-01-04 21:56:47 -0800 (Thu, 04 Jan 2007) | 1 line

remove empty generated i18n JSON files

........

r6997 | bill | 2007-01-07 03:48:53 -0800 (Sun, 07 Jan 2007) | 1 line

button benchmark

........

r6998 | bill | 2007-01-07 05:49:36 -0800 (Sun, 07 Jan 2007) | 1 line

Fix #440: bleed through of <select> boxes on IE6

........

r6999 | bill | 2007-01-07 09:12:01 -0800 (Sun, 07 Jan 2007) | 4 lines

Fix color dialog display. In a previous checkin I removed the showAt() function from ColorPalette?, so now I changed ToolbarDialog? to leverage PopupContainer? to position it's child.

........

r7000 | bill | 2007-01-07 10:51:16 -0800 (Sun, 07 Jan 2007) | 5 lines

Fix #2152.

Displaying the dom node offscreen, with position=absolute, seems to miscalculate height, assuming that lines don't wrap. Changed it to use visibility=hidden rather than displaying element off screen. Seems to work better; cross your fingers :-)

........

r7001 | liucougar | 2007-01-07 23:51:40 -0800 (Sun, 07 Jan 2007) | 2 lines

fixes #2210 and #2145 added a parameter to Editor2::restoreSelection

........

r7002 | liucougar | 2007-01-07 23:53:57 -0800 (Sun, 07 Jan 2007) | 1 line

separate getParentOfType API from getAncestorElement

........

r7003 | jburke | 2007-01-08 11:29:42 -0800 (Mon, 08 Jan 2007) | 1 line

Fixes #2195, and removes Jython/python as a build dependency

........

r7004 | skinner | 2007-01-08 15:33:34 -0800 (Mon, 08 Jan 2007) | 1 line

minor work on dojo.data unit tests

........

r7005 | skinner | 2007-01-08 16:40:48 -0800 (Mon, 08 Jan 2007) | 1 line

more work on dojo.data test page

........

r7006 | skinner | 2007-01-08 18:25:32 -0800 (Mon, 08 Jan 2007) | 1 line

added a FilteringTable? binding for the dojo.data test page

........

Note: See TracTickets for help on using tickets.